services:
  web:
    image: nginx
    container_name: ${webServName}
    restart: ${restartPolicy}
    # ports:
    #   - 8080:80
    extends:
      file: autoconfig.yml
      service: autoconfig
    networks:
      - webNet
    volumes:
      - html:/usr/share/nginx/html/
      - config:/etc/nginx/
      - /etc/localtime:/etc/localtime:ro
      - /etc/timezone:/etc/timezone:ro
    labels:
      - "traefik.enable=true"
      #- "traefik.http.routers.web.rule=Host(`${domain}`) || Host(`www.${domain}`)"
      # remplacé par
      - "traefik.http.routers.mailfolder.rule=(Host(`${domain}`) || Host(`www.${domain}`)) && (PathPrefix(`/m/`) || PathPrefix(`/mail/`))"
      - "traefik.http.routers.web.rule=Host(`web.${domain}`)"
      #- "traefik.http.routers.web.middlewares=test-adminipallowlist@file"

volumes:
  html:
  config:

networks:
  webNet:
    external: true
    name: webNet
